######################################################
# file executor via DnD
#
#                              1/16.1998

proc ttb_TTB_resize {} {

	set coun 0

	foreach i {.ttb_CB .ttb_EX} {

		$i configure -width 64 -height 64
		wm maxsize $i 64 64
		wm minsize $i 64 64
		wm overrideredirect $i true
		wm geometry $i +[expr 131+$coun*64]+0

		incr coun
	}
}

proc ttb_TTB_rootCreate {} {

	global ttblibPath stageColor


	if {![winfo exists .ttb_CB]} {
		toplevel .ttb_CB
		toplevel .ttb_EX
	} else {return}

	image create photo cbimg -file $ttblibPath/icons/system/Clipboard.gif
	image create photo eximg -file $ttblibPath/icons/system/Execute.gif
	image create photo tile -file $ttblibPath/icons/system/tile.gif

	label .ttb_CB.base -image tile -bd 0
	label .ttb_CB.base.img -bg $stageColor -image cbimg -bd 2 -relief groove

	label .ttb_EX.base -image tile -bd 0
	label .ttb_EX.base.img -bg $stageColor -image eximg -bd 2 -relief groove

	pack .ttb_CB.base
	place .ttb_CB.base.img -x 6 -y 6

	pack .ttb_EX.base
	place .ttb_EX.base.img -x 6 -y 6
}

proc ttb_TTB_bind {} {
	bind .ttb_EX.base.img <Drop> {
		ttb_execIF2 %D [expr %b-1]
	}

	bind .ttb_EX <ButtonPress-1> "raise .ttb_EX"

	bind .ttb_CB.base.img <Drop> {
		ttb_clipBoard %D [expr %b-1]
	}

	bind .ttb_CB <ButtonPress-1> "raise .ttb_CB"
}

proc ttb_DnD_exec {} {
	ttb_TTB_rootCreate
	ttb_TTB_resize
	ttb_TTB_bind
}

