proc ttb_resize {} {

	global placeNo placeList appName place_found

	. configure -width 64 -height 64
	wm maxsize . 64 64
	wm minsize . 64 64
	wm overrideredirect . true
	wm geometry . +[expr 3+64*$placeNo]+0
}

proc ttb_replace sx {
	global placeNo placeList

	set oldNo $placeNo

	if {$sx>[expr 3+64*$placeNo]} {
		incr placeNo
	}

	if {$sx<[expr 3+64*$placeNo]} {
		incr placeNo -1
	}

	foreach i $placeList {
		if {$i==$placeNo} {
			return $oldNo
		}
	}

	wm geometry . +[expr 3+64*$placeNo]+0

	return success
}

proc ttb_place absNo {

	if {$absNo==""} {
		exit
	}

	wm geometry . +[expr 3+64*$absNo]+0

}

proc ttb_repMan sx {

	global placeNo placeList

	set ret [ttb_replace $sx]

	if {$ret!="success"} {
		return
	}

	wm geometry . +[expr 3+64*$placeNo]+0

#	ttb_writePlaces on
}

proc ttb_exit {} {
#	ttb_writePlaces off
	exit
}

proc ttb_bind {} {
	bind . <ButtonPress-1> "raise ."
	bind . <ButtonPress-3> "ttb_showPopup top %X %Y {}"

	bind . <B1-Motion> "ttb_repMan %X"
}

# image create photo jfLogo -file "$ttblibPath/icons/system/JFLOGO.gif"
set ttblibPath $env(HOME)/GNUstep/Library/JunsSTEP

if {$appName!="TTB"} {
	set placeNo [lindex $argv 0]
}

set placeList {}
set place_found 0

ttb_place $placeNo
