proc sub_makeItems {fileList} {

	global ttblibPath env_pathList

	set newitm [open $ttblibPath/itm/[.inputItemName.enter get].itm w]

	set hit 0

	for {set i 0} {$i<[llength $fileList]} {incr i} {

		set path [lindex $fileList $i]

		set fname [lindex [split $path /] end]

		foreach j $env_pathList {
			if {[file dirname $path]==$j} {
				set hit 1
			}
		}

		if {$hit == 1} {
			set icon [ttb_appIconInfo $fname]
		} elseif {[file isdirectory $path]} {
			if {$fname==[exec whoami]} {
				set icon Home
			} else {
				set icon Folder
			}
		} else {
			set icon [ttb_execIF2 $fname 2]
		}

		puts $newitm "file;$fname;$path;$icon"
	}

	close $newitm

	ttb_readItems [.inputItemName.enter get] slave

	destroy .inputItemName
}

proc ttb_makeItems fileList {
	global ttblibPath stageColor itemName panelColor

	set itemName default

	toplevel .inputItemName -bd 10 -relief flat -bg $panelColor
	grab .inputItemName

	wm title .inputItemName "Enter name"

	label .inputItemName.label -text "Enter new item name" -bd 0 -bg $panelColor

	entry .inputItemName.enter -width 16 -relief sunken -bd 2 -textvariable itemName
	pack .inputItemName.label .inputItemName.enter -fill both

	bind .inputItemName.enter <Any-Return>  "sub_makeItems [list $fileList]"
}

